sbservices_client_free
sbservices_client_new
sbservices_client_start_service
sbservices_client_t
sbservices_error_t
sbservices_get_home_screen_wallpaper_pngdata
sbservices_get_icon_pngdata
sbservices_get_icon_state
sbservices_get_interface_orientation
sbservices_interface_orientation_t
SBSERVICES_SERVICE_NAME
sbservices_set_icon_state

## sbservices_get_icon_state()

LIBIMOBILEDEVICE_API sbservices_error_t sbservices_get_icon_state | ( | sbservices_client_t | client,
|  | plist_t * | state,
|  | const char * | format_version )

Gets the icon state of the connected device.

Parameters

  client | The connected sbservices client to use.
  state | Pointer that will point to a newly allocated plist containing the current icon state. It is up to the caller to free the memory.
  format_version | A string to be passed as formatVersion along with the request, or NULL if no formatVersion should be passed. This is only supported since iOS 4.0 so for older firmware versions this must be set to NULL.

Returns
  SBSERVICES_E_SUCCESS on success, SBSERVICES_E_INVALID_ARG when client or state is invalid, or an SBSERVICES_E_* error code otherwise.